function [out1] = ODEsolver(in1,dt,K,L,flag)

% a simple ODE solver

if (flag == 1) % exponential Euler  
    out1  = in1 * exp(dt*L) + K/L * (exp(dt*L)-1);  
end

if (flag == 3) % standard Euler
    out1 = in1 + (K+L*in1)*dt;    
end
    
if (flag == 2) % Runge-Kutta 4
    k1 = dt* ( K + L*in1 ); 
    k2 = dt* ( K + L*(in1+k1/2) );
    k3 = dt* ( K + L*(in1+k2/2) );
    k4 = dt* ( K + L*(in1+k3) );
    out1  = in1  + k1/6 + k2/3 + k3/3 + k4/6;
end

end