function[] = plotting(dt,timeMS,nmda,kampa,TTX,fiveHT,Iinit,noiseAMP,stimstring)

mystring = ['networkdata_dt' num2str(dt) '_#' int2str(timeMS) '_NMDA' num2str(nmda) '_kampa' num2str(kampa) '_TTX' int2str(TTX) '_fiveHT' num2str(fiveHT) '_Iinit' ...
            num2str(Iinit) '_noiseAMP' num2str(noiseAMP) '_' stimstring '.mat'];
load(mystring)



%%

ytitles = [ 'E_{IS}                ' ; % index 1
            'E_{Soma}              ' ; % index 2
            'E_{C1}                ' ; % index 3
            'E_{C2}                ' ; % index 4
            'E_{C3}                ' ; % index 5
            '[Ca]_{AHP}            ' ; % index 6
            'm - Na acti. So       ' ; % index 7
            'h - Na inacti. So     ' ; % index 8
            'n - K acti. So        ' ; % index 9
            'q - Ca acti. So       ' ; % index 10
            'p - Mg Block          ' ; % index 11
            '[Ca]_{NMDA}           ' ; % index 12
            'Na acti. IS           ' ; % index 13
            'Na inacti. IS         ' ; % index 14
            'K acti. IS            ' ; % index 15
            'G_{Na} So             ' ; % index 16
            'G_{K} So              ' ; % index 17
            'G_{Na} IS             ' ; % index 18
            'G_{K} IS              ' ; % index 19 
            'G_{NMDA} from spike   ' ; % index 20
            'G_{NMDA} from bath    ' ; % index 21
            'inflow_{Ca} NMDA gated' ; % index 22
            'I_{Na} IS             ' ; % index 23
            'I_{K} IS              ' ; % index 24
            'I_{Na} So             ' ; % index 25               
            'I_{K} So              ' ; % index 26
            'I_{Ca} So             ' ; % index 27
            'I_{KCa} So            ' ; % index 28
            'I_{NMDA} So bath+Syn  ' ; % index 29   
            'I_{KAMPA} So          ' ; % index 30                                 
            'I_{KAMPA} C1          ' ; % index 31
            'I_{KAMPA} C2          ' ; % index 32
            'I_{KAMPA} C3          ' ; % index 33
            'I_{SynINH1} C1        ' ; % index 34
            'I_{SynINH2} C1        ' ; % index 35
            'I_{SynEXC_KAMPA} C2   ' ; % index 36                           
            'total I_{IS}          ' ; % index 37
            'total I_{So}          ' ; % index 38
            'total I_{C1}          ' ; % index 39
            'total I_{C2}          ' ; % index 40
            'total I_{C3}          ' ; % index 41
            'I_{noise}             ' ; % index 42
            'G_{NMDA} EIN2EIN      ' ; % index 43
            'G_{NMDA} EIN2CCIN     ' ; % index 44
            'G_{K/AMPA} EIN2EIN    ' ; % index 45
            'G_{K/AMPA} EIN2CCIN   ' ; % index 46
            'time                  ' ; % index 47
            'I_{inject}            ' ; % index 48
            'K_{Ca} acti.          ' ; % index 49
            ];
        
plottitles = ['upper row: left EIN   ' % index 1 
              'upper row: left LIN   ' % index 2 
              'upper row: left CCIN  ' % index 3 
              'upper row: left MN    ' % index 4 
              '- lower row: right EIN' % index 5 
              '- lower row: right EIN' % index 6 
              '- lower row: right EIN' % index 7
              '- lower row: left EIN ' % index 8     
             ];


%% plotting

realnodt = length(data(1,:,1));
realdt   = 0.005;
time = data(47,:,1);
plot_flags = [1,2]               ;    % select 2 quantities to compare between the neurons
neurons = [1,2,3,5,6,7];              % select 2 neurons to compare, e.g. CCIN_L and CCIN_R

a = 10;
b = timeMS;

figure;

subplot(6,1,1), plot(time,data(plot_flags(1),:,neurons(2)));
%ylabel(ytitles(plot_flags(1),:));
ylabel('left LIN');
%xlabel('time [ms]');
ylim([-100 100]);
xlim([a,b]);

subplot(6,1,2), plot(time,data(plot_flags(1),:,neurons(1)));
ylabel('left EIN');
%ylabel([ytitles(plot_flags(1),:) 'left EIN']);
%xlabel('time [ms]');
ylim([-100 100]);
xlim([a,b]);

subplot(6,1,3), plot(time,data(plot_flags(1),:,neurons(3)));
ylabel('left CCIN');
%ylabel(ytitles(plot_flags(1),:));
%xlabel('time [ms]');
ylim([-100 100]);
xlim([a,b]);

subplot(6,1,4), plot(time,data(plot_flags(1),:,neurons(6)));
ylabel('right CCIN');
%ylabel(ytitles(plot_flags(1),:));
%xlabel('time [ms]');
ylim([-100 100]);
xlim([a,b]);

subplot(6,1,5), plot(time,data(plot_flags(1),:,neurons(4)));
ylabel('right EIN');
%ylabel(ytitles(plot_flags(1),:));
%xlabel('time [ms]');
ylim([-100 100]);
xlim([a,b]);

subplot(6,1,6), plot(time,data(plot_flags(1),:,neurons(5)));
ylabel('right LIN');
%ylabel(ytitles(plot_flags(1),:));
%xlabel('time [ms]');
ylim([-100 100]);
xlim([a,b]);

titlestring = ['Initial Segment Potential [mV]  vs  Time [ms]  -  Kainate level ' num2str(kampa) '  -  NMDA level ' num2str(nmda)];

ha = axes('Position',[0 0 0.95 0.95],'Xlim',[0 1],'Ylim',[0 1],'Box','off','Visible','off','Units','normalized', 'clipping' , 'off');
text(0.5, 1.0,{'\bf' titlestring},'HorizontalAlignment','center');%,'VerticalAlignment', 'top');
%text(0.5, 1.0,{'\bf' 'Initial Segment Potential [mV]  vs  Time [ms]  -  Kainate level' num2str(kampa) ' '},'HorizontalAlignment','center');%,'VerticalAlignment', 'top');
%text(0.5, 1,{'\bf' plottitles(neurons(1),:) plottitles(neurons(2),:)},'HorizontalAlignment','center','VerticalAlignment', 'top');

print('-dpdf','-r300','Fig')


realnodt = length(data(1,:,1));
realdt   = 0.005;
time = data(47,:,1);
plot_flags = [6,11,12,20,21,22, 28,29,37,38,39,40];    % select 12 quantities to compare between the neurons
neurons = [1,1];              % select 2 neurons to compare, e.g. CCIN_L and CCIN_R
for j = 1:4
    for i=1:6
        figure(111)
        
        if (mod(j,2) == 1)
            subplot(4,6,i+(j-1)*6), plot(time,data( plot_flags(i+(j-1)*3),:,neurons(1)));
            ylabel(ytitles(plot_flags(i+(j-1)*3),:));
            xlabel('time [ms]');
        end
        if (mod(j,2) == 0)
            subplot(4,6,i+(j-1)*6), plot(time,data( plot_flags(i+(j-2)*3),:,neurons(2)));
            ylabel(ytitles(plot_flags(i+(j-2)*3),:));
            xlabel('time [ms]');
        end
        
    end
end
ha = axes('Position',[0 0 1 1],'Xlim',[0 1],'Ylim',[0 1],'Box','off','Visible','off','Units','normalized', 'clipping' , 'off');
text(0.5, 1,{'\bf' plottitles(neurons(1),:) plottitles(neurons(2),:)},'HorizontalAlignment','center','VerticalAlignment', 'top');



